# gozerbot/datadir.py
# -*- coding: utf-8 -*-
#

""" this is where the datadir lives """

__copyright__ = 'this file is in the public domain'

import re, os

datadir = 'gozerdata'

def makedirs():
    """ create datadir if it nog already exists """
    if not os.path.isdir(datadir):
        os.mkdir(datadir)
    if not os.path.isdir(datadir + '/userstates/'):
        os.mkdir(datadir + '/userstates/')
    if not os.path.isdir(datadir + '/db/'):
        os.mkdir(datadir + '/db/')

import re, os

replacere = re.compile('gozerplugs.plugs', re.M)

def copyandreplace(fromdir, todir):
    if not os.path.isdir(todir):   
        os.mkdir(todir)
    for i in os.listdir(fromdir):
        i = i.split(os.sep)[-1]  
        try:
            f = open(fromdir + os.sep + i, 'r')
        except:
            copyandreplace(fromdir + os.sep + i, todir + os.sep + i)
            continue
        fw = open(todir + os.sep + i, 'w')
        data = f.read()
        f.close() 
        wdata = re.sub(replacere, r'myplugs', data)
        fw.write(wdata)
        fw.close()

def upgrade082():
    if os.path.isdir('data'):
        try:
            os.rename('data', 'data.NOTUSED')
            print 'renamed data dir to data.NOTUSED'
        except:
            pass
        if not os.path.isdir('gozerdata'):
            os.rename('data.new', 'gozerdata')
            print 'moved data.new dir to gozerdata'
        else:
            os.rename('data.new', 'data.new.NOTUSED')
    if os.path.isdir('gozerdata.old'):
        return
    if not os.path.isdir('gozerdata'):
        return
    os.rename('gozerdata', 'gozerdata.old')
    os.mkdir('gozerdata')
    copyandreplace('gozerdata.old', 'gozerdata')
    print 'backup of gozerdata dir to gozerdata.old dir'
