# gozerbot/exit.py
#
#

""" this is where the datadir lives """

__copyright__ = 'this file is in the public domain'

import os

try:
    from gozerbot.generic import rlog
    from gozerbot.eventhandler import mainhandler
    from gozerbot.plugins import plugins
    from gozerbot.fleet import fleet
    from gozerbot.persist import saving
    from gozerbot.runner import runners_stop
    import atexit, os, time
except Exception, ex:
    print str(ex)
    os._exit(1)

def globalshutdown():
    """ shutdown the bot """
    rlog(10, 'GOZERBOT', 'SHUTTING DOWN')
    #mainhandler.stop()
    runners_stop()
    rlog(10, 'gozerbot', 'shutting down plugins')
    plugins.exit()
    while saving:
        rlog(10, 'gozerbot', 'still saving')
        time.sleep(2)
    rlog(10, 'gozerbot', 'shutting down fleet')
    fleet.exitall()
    rlog(10, 'GOZERBOT', 'done')
    os._exit(0)

atexit.register(globalshutdown)
