#!/usr/bin/env python
#
#

__copyright__ = 'this file is in the public domain'
__revision__ = '$Id: setup.py 71 2005-11-10 13:37:50Z bart $'

from distutils.core import setup

setup(
    name='gozerbot',
    version='0.8.2',
    url='http://gozerbot.org',
    author='Bart Thate',
    author_email='bthate@gmail.com',
    description='the irc bot and jabber bot in one',
    license='BSD',
    packages=['gozerbot', 'gozerbot.contrib','gozerbot.contrib.simplejson', \
'gozerbot.rest','gozerplugs', 'gozerplugs.plugs', 'gozerplugs.dbplugs', \
'gozerplugs.web'],
    scripts = ['bin/gozerbot', 'bin/gozerinit', 'bin/gozerupgrade06', \
'bin/gozerbot-start', 'bin/gozerbot-stop', 'bin/gozerbot-merc', 'bin/gozerupgrade0.8.2'],
    data_files = [('share/gozerbot', ['files/gb_db', 'files/sqlite_db',
'files/toudp.py', 'files/pickletodb.py', 'files/pickletosqlite.py', \
'files/onconnect', 'files/mailudp.py' ,'files/gozerbot.cron', \
'files/postgres_db', 'files/nagios-udp'])]
)
