# tests/test_callbacks.py
#
#

__copyright__ = 'this file is in the public domain'

from gozerbot.bot import Bot
from gozerbot.callbacks import Callbacks
import unittest

def callbackfunc(bot, ievent):
    pass
    
def callbackpre(bot, ievent):
    pass


class test_callbacks(unittest.TestCase):

    def test_addacallback(self):
        cbs = Callbacks()
        cbs.add('ALL', callbackfunc, callbackpre)
        self.assert_(cbs.size() == 1)

    def test_unloadacallback(self):
        cbs = Callbacks()
        cbs.add('ALL', callbackfunc, callbackpre)
        cbs.unload('test_callbacks')
        self.assert_(len(cbs.cbs['ALL']) == 0)

    def test_whereisacallback(self):
        cbs = Callbacks()
        cbs.add('ALL', callbackfunc, callbackpre)
        self.assert_('test_callbacks' in cbs.whereis('ALL'))
